/* Compatibility functions or dummies
 *
 * Copyright (C)  1993  The Board of Trustees of  
 * The Leland Stanford Junior University.  All Rights Reserved.
 *
 * Authors: Scott Francis, Paul Kunz, Tom Pavel, 
 *	    Imran Qureshi, and Libing Wang
 *
 * This file is part of an Objective-C class library for a window system
 *
 * zone.h,v 1.1 1994/02/28 00:44:50 pfkeb Exp
 */

/*
	This is to mimic the zonemalloc, zonefree, and zonerealloc calls.
	The zone pointer is simply ignored.
 */
 
#ifndef h_zone_h
#define h_zone_h

#include <stdlib.h>

#define NXZone void

extern void *NXCreateChildZone(void *parentZone, size_t startSize, 
                               size_t granularity, int canFree);
extern void NXMergeZone(NXZone *zone);

#define NXZoneMalloc(zonep, size) (malloc(size))
#define NXZoneRealloc(zonep, ptr, size) (realloc(ptr,size))
#define NXZoneFree(zonep, ptr) (free(ptr))

void NXNameZone(void *zone, const char *name);

#endif